Bug 423271 - (CVE-2007-6321) CVE-2007-6321 roundcubemail: XSS vulnerability
CVE-2007-6321 roundcubemail: XSS vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20071211,public=2...
: Security
Depends On: 423281 423291 423301
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 07:30 EST by Tomas Hoger
Modified: 2016-03-04 07:24 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.2-0.alpha.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 01:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-12-13 07:30:36 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6321 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in RoundCube webmail 0.1rc2,
2007-12-09, and earlier versions, when using Internet Explorer, allows remote
attackers to inject arbitrary web script or HTML via style sheets containing
expression commands.

References:
http://www.securityfocus.com/archive/1/archive/1/484802/100/0/threaded
http://openmya.hacker.jp/hasegawa/security/expression.txt
http://xforce.iss.net/xforce/xfdb/38981
Comment 1 Jon Ciesla 2007-12-20 08:07:07 EST
Still no update, contacting upstream.
Comment 2 Jon Ciesla 2008-01-23 12:09:16 EST
No reply, added comment to appropriate upstream bug:

http://trac.roundcube.net/ticket/1484701

Apparently claims fixed in rc2, verifying.
Comment 3 Tomas Hoger 2008-04-02 09:13:49 EDT
Jon, have you managed to verify this really is fixed in 0.1.  Looking at the
upstream ticket, comments suggest this is not fully fixed there and fix is
postponed until 0.1.1 or 0.2.
Comment 4 Jon Ciesla 2008-04-02 09:28:29 EDT
You are correct.  I should have looked more closely.
Comment 5 Fedora Update System 2008-04-09 01:17:45 EDT
roundcubemail-0.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update roundcubemail'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-2962
Comment 6 Jon Ciesla 2008-06-12 10:22:05 EDT
0.2-alpha released upstream, addressing this vulnerability, but no -dependant
package is available yet.  I have contacted upstream to expedite this.
Comment 7 Fedora Update System 2008-06-13 13:37:37 EDT
roundcubemail-0.2-0.alpha.fc7.1 has been submitted as an update for Fedora 7
Comment 8 Fedora Update System 2008-06-14 00:15:59 EDT
roundcubemail-0.2-0.alpha.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-06-14 00:17:08 EDT
roundcubemail-0.2-0.alpha.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-06-14 00:18:45 EDT
roundcubemail-0.2-0.alpha.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.